SDL_GetPens(3)

NAME
SDL_GetPens - Retrieves all pens that are connected to the system.

HEADER FILE
Defined in SDL3/SDL_pen.h

SYNOPSIS
#include "SDL3/SDL.h"

SDL_PenID* SDL_GetPens(int *count);

DESCRIPTION
Yields an array of SDL_PenID
 values. These identify and track pens throughout a session. To track pens across sessions (program restart), use SDL_GUID
 .

FUNCTION PARAMETERS

count
    The number of pens in the array (number of array elements minus 1, i.e., not counting the terminator 0).

RETURN VALUE
Returns A 0 terminated array of SDL_PenID
 values, or NULL on error. The array must be freed with SDL_free (). On a NULL return, SDL_GetError () is set.

AVAILABILITY
This function is available since SDL 3.0.0.